#include <bits/stdc++.h>
using namespace std;
int podeli (int a[], int l, int d, int b[])
{
    int pivot=l, k=l, i;
    for (i=l+1; i<=d; i++)
    {
        if  (a[i]<=a[pivot])
        {
            k++;
            swap(a[k],a[i]);
            swap(b[k],b[i]);
        }
    }
    swap (a[pivot], a[k]);
    swap (b[pivot], b[k]);
    return k;
}
void quick (int a[], int l, int d, int b[])
{
    if (l<d)
    {
        int poz=podeli(a,l,d,b);
        quick(a,l,poz-1,b);
        quick(a,poz+1,d,b);
    }
}
void quickSort (int a[], int n, int b[])
{
    quick(a,1,n,b);
}

int main()
{
    int n, t=0;
    cin>>n;
    int r[n], c[n];
    for (int i=1; i<=n; i++)
        cin>>r[i]>>c[i];
    quickSort(r,n,c);
    for (int i=1; i<=n; i++)
        t+=abs(r[i]-i);
    quickSort(c,n,r);
    for (int i=1; i<=n; i++)
        t+=abs(c[i]-i);
        cout<<t;
}